Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface ResizeConstraints

All Superinterfaces:
  Attributes, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ResizeConstraintsImpl

    public interface ResizeConstraints

extends Attributes

A representation of the model object 'Resize Constraints'. Bit-wise OR of any `PositionConstants.NORTH`, `PositionConstants.SOUTH`, `PositionConstants.EAST` or `PositionConstants.WEST`

The following features are supported:

- `Resize Handles`
- `Non Resize Handles`
- `Resize Handle Names`
- `Non Resize Handle Names`

See Also:
  `GMFGenPackage.getResizeConstraints()`
** Generated **
Model:

Method Summary
`org.eclipse.emf.common.util.EList<java.lang.String>` `getNonResizeHandleNames()` Returns the value of the 'Non Resize Handle Names' attribute list.
`int` `getNonResizeHandles()` Returns the value of the 'Non Resize Handles' attribute.
`org.eclipse.emf.common.util.EList<java.lang.String>` `getResizeHandleNames()` Returns the value of the 'Resize Handle Names' attribute list.
`int` `getResizeHandles()` Returns the value of the 'Resize Handles' attribute.
`void` `setNonResizeHandles(int value)` Sets the value of the '`Non Resize Handles`' attribute
`void` `setResizeHandles(int value)` Sets the value of the '`Resize Handles`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getResizeHandles

    int getResizeHandles()

  Returns the value of the 'Resize Handles' attribute. The default value is `"0"`. Any direction mentioned here (and combination thereof, like e.g. NORTH_WEST) is added as resizable handle

  Returns:
    the value of the 'Resize Handles' attribute.
  See Also:
    `setResizeHandles(int)`, `GMFGenPackage.getResizeConstraints_ResizeHandles()`
  ** Generated **
  Model:
    default="0"

### setResizeHandles

    void setResizeHandles(int value)

  Sets the value of the '`Resize Handles`' attribute.

  Parameters:
    `value` - the new value of the 'Resize Handles' attribute.
  See Also:
    `getResizeHandles()`
  ** Generated **

### getNonResizeHandles

    int getNonResizeHandles()

  Returns the value of the 'Non Resize Handles' attribute. The default value is `"0"`. Directions mentioned with this attribute are explicitly denoted as non-resizable (i.e. with 'move' cursor). If you'd like to omit handle `ResizableEditPolicy` completely, just don't list it here

  Returns:
    the value of the 'Non Resize Handles' attribute.
  See Also:
    `setNonResizeHandles(int)`, `GMFGenPackage.getResizeConstraints_NonResizeHandles()`
  ** Generated **
  Model:
    default="0"

### setNonResizeHandles

    void setNonResizeHandles(int value)

  Sets the value of the '`Non Resize Handles`' attribute.

  Parameters:
    `value` - the new value of the 'Non Resize Handles' attribute.
  See Also:
    `getNonResizeHandles()`
  ** Generated **

### getResizeHandleNames

    org.eclipse.emf.common.util.EList<java.lang.String> getResizeHandleNames()

  Returns the value of the 'Resize Handle Names' attribute list. The list contents are of type `String`. Convenient method to get `PositionConstants` names from resizeHandle attribute

  Returns:
    the value of the 'Resize Handle Names' attribute list.
  See Also:
    `GMFGenPackage.getResizeConstraints_ResizeHandleNames()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

### getNonResizeHandleNames

    org.eclipse.emf.common.util.EList<java.lang.String> getNonResizeHandleNames()

  Returns the value of the 'Non Resize Handle Names' attribute list. The list contents are of type `String`. Same as `getResizeHandleNames()`, for nonResizeHandle attribute

  Returns:
    the value of the 'Non Resize Handle Names' attribute list.
  See Also:
    `GMFGenPackage.getResizeConstraints_NonResizeHandleNames()`
  ** Generated **
  Model:
    transient="true" changeable="false" volatile="true" derived="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.